import java.awt.Graphics;
import java.awt.image.BufferedImage;

import javax.swing.JPanel;

public class Arbre extends Entite{
	

	private BufferedImage image;
	static int largeur = 200;
	static int hauteur = 250;
	
	public Arbre(float x, float y, BufferedImage img){
		super(x,y,largeur,hauteur);
		
		image = img;
		vie=1000;
	}
	
	//Si l'entite pierre meurt, elle drop un item et est ajoutée au gestionnaire de respawn
	public void meurt(){ // SI L'ENTITE ARBRE MEURT ELLE CREE UN NOUVELLE ITEM BOIS
		Fenetre.gItem.addItem(Liste.iBois.nouvelItem((int)x+largeur/3,(int) y+hauteur/3));
		Fenetre.gRespawn.addRespawn(new Respawn(this));
	}
	
	public void dessine(Graphics g, JPanel jp){ // DESSINE RELATIVEMENT A L'OFFSET ET ON MET UNE BARRE DE VIE 
		g.drawImage(image, (int) (x - Fenetre.camera.getxOffset()) , (int) (y - Fenetre.camera.getyOffset()), largeur, hauteur, jp);

	}
	public void subisAttaque(int degat){ // CLASSIQUE
		vie -=Fenetre.j1.degat_arbre;
		if(vie<=0){
			enVie = false;
			meurt();
		}
	}
	
}
